org.apache.mina.transport.serial

## Enum SerialAddress.StopBits

- java.lang.Object
- - java.lang.Enum<SerialAddress.StopBits>
  - - org.apache.mina.transport.serial.SerialAddress.StopBits

- All Implemented Interfaces:
    Serializable, Comparable<SerialAddress.StopBits>
  Enclosing class:
    SerialAddress

      public static enum SerialAddress.StopBits
      extends Enum<SerialAddress.StopBits>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITS_1`
    `BITS_1_5`
    `BITS_2`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerialAddress.StopBits` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SerialAddress.StopBits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BITS_1

          public static final SerialAddress.StopBits BITS_1

    - #### BITS_2

          public static final SerialAddress.StopBits BITS_2

    - #### BITS_1_5

          public static final SerialAddress.StopBits BITS_1_5

  - ### Method Detail

    - #### values

          public static SerialAddress.StopBits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerialAddress.StopBits c : SerialAddress.StopBits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerialAddress.StopBits valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.